Page MenuHomePhabricator

W3C validation finds ~20 errors, ~10 warnings
Closed, ResolvedPublic

Description

T201053 reloaded: https://validator.w3.org/nu/?doc=https%3A%2F%2Fwikimediafoundation.org%2F

Warning: The type attribute is unnecessary for JavaScript resources.

From line 13, column 3; to line 13, column 33

ed/" />↩		<script type="text/javascript">↩			wi

Warning: The type attribute for the style element is not needed and should be omitted.

From line 17, column 3; to line 17, column 25

script>↩		<style type="text/css">↩img.w

Warning: The type attribute is unnecessary for JavaScript resources.

From line 32, column 1; to line 32, column 169

='all' />↩<script type='text/javascript' src='https://wikimediafoundation.org/_static/??-eJzTLy/QzcxLzilNSS3WzwKiwtLUokoopZdVrKOPT4FubmZ6UWJJql5uZh5QsX2uraGpmaGhsamxoVEWACVKIKI='></scri

Warning: The type attribute for the style element is not needed and should be omitted.

From line 43, column 3; to line 43, column 25

.com'/>↩		<style type="text/css">.recen

Warning: The banner role is unnecessary for element header.

From line 76, column 2; to line 76, column 72

ion</a>↩↩	<header class="header-home featured-photo--content-left" role="banner">↩		<di

Error: The element a must not appear as a descendant of the button element.

From line 134, column 7; to line 134, column 89

n">↩						<a href="https://donate.wikimedia.org/?utm_medium=wmfSite&#038;utm_campaign=comms">↩					

Error: End tag div seen, but there were open elements.

From line 239, column 1; to line 239, column 6

↩	</div>↩↩</div>↩</hea

Error: Unclosed element header.

From line 76, column 2; to line 76, column 72

ion</a>↩↩	<header class="header-home featured-photo--content-left" role="banner">↩		<di

Error: Stray end tag header.

From line 240, column 1; to line 240, column 9

>↩↩</div>↩</header>↩↩<mai

Warning: The main role is unnecessary for element main.

From line 242, column 1; to line 242, column 31

/header>↩↩<main id="content" role="main">↩	↩↩	<

Error: Stray end tag div.

From line 284, column 1; to line 284, column 6

↩	</div>↩↩</div>↩↩<div

Error: Element div not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 347, column 6; to line 347, column 196

er">↩					<div class="bg-img" style="background-image: url(https://wikimediafoundation.org/wp-content/uploads/2018/06/Wikimedia_Conference_2017_–_228-e1533253661801.jpg?w=400&#038;h=300&#038;crop=1);"></div>

Contexts in which element div may be used:
    Where flow content is expected.
    As a child of a dl element.
Content model for element span:
    Phrasing content.

Error: Element h2 not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 352, column 11; to line 352, column 25

										<h2 class="h2">Resear

Content model for element span:
    Phrasing content.

Error: Element p not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 355, column 7; to line 355, column 10

m">↩						<p >We con

Contexts in which element p may be used:
    Where flow content is expected.
Content model for element span:
    Phrasing content.

Error: Attribute href not allowed on element span at this point.

From line 358, column 12; to line 358, column 70

										<span class="arrow-link stick-to-bottom" href="/research/">More a

Attributes for element span:
    Global attributes

Error: Element div not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 368, column 6; to line 368, column 201

er">↩					<div class="bg-img" style="background-image: url(https://wikimediafoundation.org/wp-content/uploads/2018/07/Screen-Shot-2018-07-30-at-1.24.58-PM-e1533254033550.png?w=400&#038;h=300&#038;crop=1);"></div>

Contexts in which element div may be used:
    Where flow content is expected.
    As a child of a dl element.
Content model for element span:
    Phrasing content.

Error: Element h2 not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 373, column 11; to line 373, column 25

										<h2 class="h2">

Content model for element span:
    Phrasing content.

Error: Element p not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 376, column 7; to line 376, column 10

m">↩						<p >From s

Contexts in which element p may be used:
    Where flow content is expected.
Content model for element span:
    Phrasing content.

Error: Attribute href not allowed on element span at this point.

From line 379, column 12; to line 379, column 72

										<span class="arrow-link stick-to-bottom" href="/technology/">More a

Attributes for element span:
    Global attributes

Error: Element div not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 389, column 6; to line 389, column 192

er">↩					<div class="bg-img" style="background-image: url(https://wikimediafoundation.org/wp-content/uploads/2018/06/SOPA_protest_in_Midtown_NYC-e1533254825755.jpg?w=400&#038;h=300&#038;crop=1);"></div>

Contexts in which element div may be used:
    Where flow content is expected.
    As a child of a dl element.
Content model for element span:
    Phrasing content.

Error: Element h2 not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 394, column 11; to line 394, column 25

										<h2 class="h2">Advoca

Content model for element span:
    Phrasing content.

Error: Element p not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

From line 397, column 7; to line 397, column 10

m">↩						<p >We fig

Contexts in which element p may be used:
    Where flow content is expected.
Content model for element span:
    Phrasing content.

Error: Attribute href not allowed on element span at this point.

From line 400, column 12; to line 400, column 70

										<span class="arrow-link stick-to-bottom" href="/advocacy/">More a

Attributes for element span:
    Global attributes

Error: Stray end tag div.

From line 995, column 1; to line 995, column 6

v>↩</div>↩</div><!-- #

Warning: The type attribute is unnecessary for JavaScript resources.

From line 998, column 1; to line 998, column 31

atomo -->↩<script type="text/javascript">↩var _

Warning: The type attribute is unnecessary for JavaScript resources.

From line 1012, column 2; to line 1012, column 32

Code -->↩	<script type='text/javascript'>↩/* <!

Warning: The type attribute is unnecessary for JavaScript resources.

From line 1018, column 1; to line 1018, column 245

</script>↩<script type='text/javascript' src='https://wikimediafoundation.org/_static/??-eJyVzc0OgjAQBOAXElalc…lKpjvACnICpTGIfYrWJkpqPQ70D8L6MLxyqUN2td0ldburo4Swj9kis+LXSLJhcdva4xM5Duy+/S1eT5f+3PWdMUf/BpqwYco='></scri

Related Objects

Event Timeline

Nemo_bis created this task.Jul 10 2019, 1:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2019, 1:18 PM
Varnent claimed this task.Jul 11 2019, 11:37 PM
Varnent triaged this task as Normal priority.
Varnent added a subscriber: Varnent.

We are working on a patch now to make improvements.

Varnent closed this task as Resolved.Jul 26 2019, 8:05 PM

This has been reduced to six warnings which stem from scripts outside of the codebase. I am therefore closing this ticket, but please reopen if you discover other areas or find solutions to the remaining warnings. Thank you!